import {
    request
} from "../utils/request";

module.exports = {
    // 注册分销员
    registerSale: data => request('/v3/sale/user', 'post', data),
    // 获取分销金额统计数据
    getSaleData: data => request('/v3/sale/user/info', 'get', data),
    // 获取分销规则
    getSaleRule: data => request('/v3/sale/level', 'get', data),
    // 获取分销邀请用户列表
    getSaleInvite: data => request('/v3/sale/user/inviteList', 'get', data),
    // 获取分销订单列表
    getSaleOrder: data => request('/v3/sale/order', 'get', data),
    // 获取收益明细列表
    getIncomeList: data => request('/v3/sale/income/list', 'get', data),
    // 提现
    cashOut: data => request('/v3/sale/income/cash', 'get', data),
    // 获取分销推广文案
    getPromotionText: data => request('/v3/sale/copywriting', 'get', data),
}